package de.wens02;

import java.io.IOException;

import org.apache.log4j.ConsoleAppender;
import org.apache.log4j.FileAppender;
import org.apache.log4j.Logger;
import org.apache.log4j.PatternLayout;

public class Log
{
	protected static Logger					logger			= null;
	protected static PatternLayout	logLayout		= null;
	protected static FileAppender		fileAppender= null;

	protected static void init( boolean needed )
	{
		if ( !needed ) {
			return;
		}
		logger		= Logger.getRootLogger();
		logLayout	= new PatternLayout( "%m%n" /* "%d{ISO8601} %-5p: %m%n" */ );

		logger.addAppender( new ConsoleAppender( logLayout ) );
	}
	
	protected static void setFile( String filename ) throws IOException
	{
		if ( null == logger ) {
			return;
		}
		if ( null != fileAppender ) {
			logger.removeAppender( fileAppender );
		}
		fileAppender = new FileAppender( logLayout, filename, false );
		logger.addAppender( fileAppender );
	}
	
	protected static void fatal( Object msg )
	{
		if ( null != logger ) logger.fatal( msg );
	}

	protected static void debug( Object msg )
	{
		if ( null != logger ) logger.debug( msg );
	}

	protected static void info( Object msg )
	{
		if ( null != logger ) logger.info( msg );
	}

	protected static void warn( Object msg )
	{
		if ( null != logger ) logger.warn( msg );
	}

	protected static void error( Object msg )
	{
		if ( null != logger ) logger.error( msg );
	}
}
